Summary:       A pipeline manipulation library
Name:          libpipeline
Version:       1.5.7
Release:       2%{?dist}
License:       GPLv3+
URL:           http://libpipeline.nongnu.org/
Source:        http://download.savannah.gnu.org/releases/libpipeline/%{name}-%{version}.tar.gz

BuildRequires: gcc make libtool check-devel

Provides:      bundled(gnulib) = 20140202

%description
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package devel
Summary:      Libraries and header files for pipeline development
Requires:     %{name} = %{version}-%{release}
Requires:     pkgconfig

%description devel
libpipeline-devel contains the header files and libraries needed
to develop programs that use libpipeline library.

%prep
%setup -q

%build
%configure
%make_build

%check
make check

%install
%make_install prefix=%{_prefix}
rm %{buildroot}/%{_libdir}/libpipeline.la

%files
%license COPYING
%doc README.md NEWS.md ChangeLog
%{_libdir}/libpipeline.so.*

%files devel
%{_libdir}/libpipeline.so
%{_libdir}/pkgconfig/libpipeline.pc
%{_includedir}/*.h
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.7-2
- Rebuilt for loongarch release

* Wed Jan 10 2024 Upgrade Robot <upbot@opencloudos.org> - 1.5.7-1
- Upgrade to version 1.5.7

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.6-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 18 2022 jackbertluo <jackbertluo@tencent.com> - 1.5.6-1
- Initial build
